globals [                                  ;definicion de variables globales
  patches-centro                           ;patches que pertenecen al centro económico
  patches-periferia                        ;patches que pertenecen a la periferia
  ]

breed [industrias industria]                 ;primer tipo de agente que representa empresas que se dedican a la industria
breed [comercios comercio]                   ;segundo tipo de agente que representa empresas que se dedican al comercio
breed [servicios servicio]                   ;tercer tipo de agente que representa empresas que se dedican a los servicios
breed [trabajadores trabajador]              ;cuarto tipo de agente que representa a los trabajadores que se desplazan a las empresas


industrias-own [ pot va remm]
comercios-own [ pot va remm]
servicios-own [ pot va remm]
;empresas-own [industrias comercio servicios]
patches-own [#trabajadores #industrias #comercios #servicios]
trabajadores-own [ sector nivel-ingreso patches-visited start-patch ]                   ; sector en el que trabaja en agente (industria, comercio o servicios)


to setup                                                                                ;inicicialización del modelo
  ca
  reset-ticks

  set patches-periferia patches with [pycor > 5 or (pxcor > 2 and pycor >= -50)]        ;los patches en donde se localiza la periferia
   ask patches-periferia [ set pcolor white]                                            ;la periferia se colorea de blanco
  set patches-centro patches with [pxcor < 3 and pycor < 6]                             ;los patches en donde se localiza el centro economico
  ask patches-centro [ set pcolor green ]                                             ;el centro economico se colorea de verde



  create-industrias 100 [ set shape "factory"                                           ;El procedimiento indica que se crean las empreas de industria, comercio y servicios y se les asigna forma,
    set color blue                                                                      ; color, tamaño y coordenadas (en el centro)
    set size 1                                                                          ; Se les asignan valores a sus caracteristicas con base en la media y la desviacion estandar de los datos
    move-to-empty-one-of patches-centro
    ;setxy random-pxcor random-pycor
    set pot random-normal 7577 1500
    set va (sum [nivel-ingreso] of trabajadores-here)                                   ; Los valores del valor agregado estan determinados por el nivel de ingreso de los trabajadores que se encuentran en la empresa
    set remm random-normal 7000 1500
  ]

   create-comercios 500 [ set shape "building store"
    set color brown
    set size 1
    move-to-empty-one-of patches-centro
    ;setxy random-pxcor random-pycor
    set pot random-normal 9921 2000
    set va (sum [nivel-ingreso] of trabajadores-here)
    set remm random-normal 10000 2000
  ]

    create-servicios 250 [ set shape "house colonial"
    set color black
    set size 1
    move-to-empty-one-of patches-centro
    ;setxy random-pxcor random-pycor
    set pot random-normal 4554 1100
    set va (sum [nivel-ingreso] of trabajadores-here)
    set remm random-normal 15000 2500
  ]

   create-trabajadores n_trabajadores  [                                                 ;se crean los trabajadores
    set color black                                                                      ;se les asigna un color
    set size 0.8                                                                         ;y un tamaño de 0.8
    set patches-visited 0                                                                ;Se les indica que deben registrar el numero de partches que recorren
    move-to-empty-one-of patches-periferia                                               ;se indica que los trabajadores sean creados especificamente en los patches que pertenecen a la periferia
    set start-patch patch-here

  set sector round random-float 2                                                        ;Ahora se asigna un sector para cada uno de los trabajadores creados aleatoriamente
  set nivel-ingreso round (random-normal 5000 3000)                                      ;se les asigna un nivel de ingreso

if sector = 0  [set shape "person construction"                                          ;; se asigna forma a los trabajadores del sector industria
set sector "industria"]
if sector = 1  [set shape "person business"                                              ;; se asigna forma a los trabajadores del sector comercio
set sector "comercio"]
 if sector = 2 [set shape "person service"                                               ;; se asigna forma a los trabajadores del sector servicios
 set sector "servicios"]
   ]



   ;ask industrias [move-to one-of patches with [ pcolor = magenta] ]    ;; se indica a las empresas de los 3 sectores que se establezcan en elcentro economico
   ;ask comercios  [move-to one-of patches with [ pcolor = magenta] ]
   ;ask servicios  [move-to one-of patches with [ pcolor = magenta] ]

 ; ask patches-centro[
   ;set #empresas  count turtles-here
;set #trabajadores count turtles-here
   ; ]


end

to move-to-empty-one-of [locations]                                        ;Este procedimiento permite la localizacion de las empresas y los trabajadores al inicializarse
  move-to one-of locations                                                 ;el modelo, las empresas aparecen en el centro y los trabajadores en la periferia
  while [any? other turtles-here] [
    move-to one-of locations
  ]
end


to move

  fd  50                                                                   ;Se endica el número de pasos que realizan los agentes durante cada movimiento
  move-to one-of neighbors
set patches-visited patches-visited + 1
end
to quedarse
                                                                           ;Este procedimiento pretende que los trabajadores se detengan una vez que llegan a su puesto de trabajo
  let temp one-of patches with [ pcolor = green and #industrias > 0 ]
  let moveto one-of patches with [ pcolor = green and #industrias > 0 ]
  ; if [ pcolor ] of patch-here = patches-centro
end

to go
  ;ask trabajadores                                                             ;;Se indica a los trabajadores que deben moverse


  ask trabajadores with [ sector = "industria"]
  [let #industr count industrias in-radius 5
  ifelse #industr = 0
  [move-to one-of patches in-radius 5]
  [move-to one-of industrias in-radius 5]
  set patches-visited patches-visited + 1
  ]

  ;[ move-to one-of industrias in-radius 5 ]   ;;se indica a los trabajadores de cada industria que se muevan a alguna de sus respectivas empresas
  ask trabajadores with [ sector = "comercio"]
  [let #comer count comercios in-radius 5
  ifelse #comer = 0
  [move-to one-of patches in-radius 5]
  [move-to one-of comercios in-radius 5]
  set patches-visited patches-visited + 1
  ]
  ask trabajadores with [ sector = "servicios"]
  [let #serv count servicios in-radius 5
  ifelse #serv = 0
  [move-to one-of patches in-radius 5]
  [move-to one-of servicios in-radius 5]
  set patches-visited patches-visited + 1
  ]
  tick
   ask patches[                                                                      ;;Los patches deben registrar el numero de empresas que se localizan en ellos y el sector al que pertenecen
 set #industrias count industrias-here
 set #comercios count comercios-here
 set #servicios count servicios-here
 set #trabajadores count trabajadores-here                                           ;;Los patches deben registrar el numero de trabajadores que se localizan en ellos
    ]



end                                                                                  ;;FIN DEL MODELO

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; NOTA IMPORTANTE : SI SE DESHABILITA LA INSTRUCCION [move] cuando se indica
                                                                                      ; a los trabajadores de cada sector que se muevan, ellos permanecerán en los puestos
                                                                                      ; de trabajo, pero solamente en un paso de tiempo (tick). De otra forma, los trabajadores
                                                                                      ; se moverán constantemente pero sin permanecer en los puestos de trabajo.
@#$#@#$#@
GRAPHICS-WINDOW
210
10
1129
950
50
50
9.0
1
10
1
1
1
0
1
1
1
-50
50
-50
50
0
0
1
ticks
30.0

BUTTON
16
49
83
82
NIL
setup
NIL
1
T
OBSERVER
NIL
S
NIL
NIL
1

BUTTON
106
51
169
84
NIL
go
T
1
T
OBSERVER
NIL
G
NIL
NIL
1

SLIDER
11
97
183
130
n_trabajadores
n_trabajadores
3
7000
3500
100
1
NIL
HORIZONTAL

MONITOR
18
144
176
197
centro
count   patches-centro
17
1
13

MONITOR
20
204
89
257
periferia
count patches-periferia
17
1
13

MONITOR
18
264
183
317
trabajadores_comercio
count trabajadores with [sector = \"comercio\"]
17
1
13

MONITOR
17
327
179
380
trabajadores_industria
count trabajadores with [sector = \"industria\"]
17
1
13

MONITOR
16
389
178
442
trabajadores_servicios
count trabajadores with [sector = \"servicios\"]
17
1
13

@#$#@#$#@
## ¿QUE ES?

Se trata de un modelo que simula el fenómeno de la movilidad urbana, el objetivo es evaluar que la existencia de un centro económico determina la movilidad de los trabajadores, que requieren desplazarse hacia donde se localizan los puestos de trabajo y que cuando tal centro es único y consolidado los problemas de movilidad en la ciudad tienden a incrementarse. Además se pretende evaluar la tendencia que tiene el tiempo promedio de traslado de los trabajadores y como este puede cambiar con base en diferentes condiciones como: un incremento en el número de puestos de trabajo, mayor número de trabajadores, o por el contrario, una disminución en la cantidad de los mismos.

## COMO FUNCIONA

En el modelo existen dos tipos de agentes (trabajadores y empresas) a los que se les asigna un sector economico que puede ser de industria, comercio o servicios. Mientras que el numero de empresas y el sector al que pertenecen se encuentran previamente establecidos, la asignacion de un sector a los trabajadores ocurre de manera aleatoria

Las caracteristicas de los trabajadores son:

 -sector
 -nivel de ingreso
Las caracteristicas de las empresas son:

 -sector (industria, comercio o servicios)
 -personal ocupado
 -valor agregado
 -remuneraciones

Los patches cuentan con 2 caracteristicas:

 - centro (lugar donde se concentran las empresas
 - periferia (lugar donde se originan los trabajadores)

Los trabajadores que se crean en la periferia se desplazan al centro económico, especificamente a alguna de las empresas del sector economico al que pertenecen, simulando que la existencia de un centro económico en donde se concentra la actividad económica atrae a la fuerza de trabajo (trabajadores), convirtiendose en un centro atractor de movilidad.

## COMO SE USA

SET UP
Cuando inicia el modelo se crean empresas que pertenecen a diferentes sectores económicos (industria, comercio y servicios), se establece un centro económico en el que inmediatamente las empresas se localizan en él, las empresas poseen ciertas características que las diferencian como un nivel de personal ocupado y un valor agregado.

Posteriormente se crean otro tipo de agentes que son los trabajadores, ellos se localizan aleatoriamente sobre el espacio y también tienen características singulares como un sector económico (posteriormente se trasladaran a alguna de las empresas que pertenezcan al mismo sector) y un nivel de ingreso que es el que reciben por realizar su fuerza de trabajo. Al finalizar la iniciación, las empresas están localizadas en el centro económico y los trabajadores están listos para desplazarse hacia ellas.

GO
El procedimiento indica que los trabajadores deben desplazarse desde la periferia hacia las empresas a las que pertenecen localizadas en el centro, en cada paso de tiempo (tick) se mueven a una determinada distancia y cada paso que dan registran el numero de parcelas que recorrieron a lo largo de su trayectoria

Los monitores muestran el numero total de:

 - patches que pertenecen al centro
 - patches que pertenecen a la periferia
 - trabajadores por sector económico

El deslizador controla el numero de trabajadores que apareceran en el mundo

## COSAS A DESTACAR

La caracteristica principal a observar del modelo es el movimiento de los trabajadores, notando que aprenden del entorno sobre el que se mueven y se espera poder analizar el tiempo promedio en el que realizan sus movimientos al centro económico.

Es importante observar que se puede controlar el numero de trabajadores que actuan en el modelo, lo cual permite que se evaluen diferentes escenarios.

## PRUEBAS A REALIZAR

El deslizador que controla el numero de trabajadores permite modelar distintos escenarios para evaluar el tiempo promedio de traslado.


## CARACTEISTICAS DE NETLOGO

NetLogo perimite simular el fenómeno de la movilidad urbana, debido a que el comportamiento, toma de decisiones y acciones de los agentes, ocurren como resultado de la interacción y de procesos de intercambio de información (retroalimentación) con otros agentes y el espacio en el que actúan.

## MODELOS RELACIONADOS

EL modelo "Movement_of_Unskilled_Workers" que puede encontrarse en la comunidad de NetLogo. Se utilizó principalmente la caracteristica del movimiento de los agentes hacia un puesto de trabajo.

El modelo "El Farol" que puede encontrarse en la biblioteca de modelos. se utilizaron caracteristicas que permiten la distincion del centro y la periferia como caracteristicas de los patches.
@#$#@#$#@
default
true
0
Polygon -7500403 true true 150 5 40 250 150 205 260 250

airplane
true
0
Polygon -7500403 true true 150 0 135 15 120 60 120 105 15 165 15 195 120 180 135 240 105 270 120 285 150 270 180 285 210 270 165 240 180 180 285 195 285 165 180 105 180 60 165 15

arrow
true
0
Polygon -7500403 true true 150 0 0 150 105 150 105 293 195 293 195 150 300 150

box
false
0
Polygon -7500403 true true 150 285 285 225 285 75 150 135
Polygon -7500403 true true 150 135 15 75 150 15 285 75
Polygon -7500403 true true 15 75 15 225 150 285 150 135
Line -16777216 false 150 285 150 135
Line -16777216 false 150 135 15 75
Line -16777216 false 150 135 285 75

bug
true
0
Circle -7500403 true true 96 182 108
Circle -7500403 true true 110 127 80
Circle -7500403 true true 110 75 80
Line -7500403 true 150 100 80 30
Line -7500403 true 150 100 220 30

building store
false
0
Rectangle -7500403 true true 30 45 45 240
Rectangle -16777216 false false 30 45 45 165
Rectangle -7500403 true true 15 165 285 255
Rectangle -16777216 true false 120 195 180 255
Line -7500403 true 150 195 150 255
Rectangle -16777216 true false 30 180 105 240
Rectangle -16777216 true false 195 180 270 240
Line -16777216 false 0 165 300 165
Polygon -7500403 true true 0 165 45 135 60 90 240 90 255 135 300 165
Rectangle -7500403 true true 0 0 75 45
Rectangle -16777216 false false 0 0 75 45

butterfly
true
0
Polygon -7500403 true true 150 165 209 199 225 225 225 255 195 270 165 255 150 240
Polygon -7500403 true true 150 165 89 198 75 225 75 255 105 270 135 255 150 240
Polygon -7500403 true true 139 148 100 105 55 90 25 90 10 105 10 135 25 180 40 195 85 194 139 163
Polygon -7500403 true true 162 150 200 105 245 90 275 90 290 105 290 135 275 180 260 195 215 195 162 165
Polygon -16777216 true false 150 255 135 225 120 150 135 120 150 105 165 120 180 150 165 225
Circle -16777216 true false 135 90 30
Line -16777216 false 150 105 195 60
Line -16777216 false 150 105 105 60

car
false
0
Polygon -7500403 true true 300 180 279 164 261 144 240 135 226 132 213 106 203 84 185 63 159 50 135 50 75 60 0 150 0 165 0 225 300 225 300 180
Circle -16777216 true false 180 180 90
Circle -16777216 true false 30 180 90
Polygon -16777216 true false 162 80 132 78 134 135 209 135 194 105 189 96 180 89
Circle -7500403 true true 47 195 58
Circle -7500403 true true 195 195 58

circle
false
0
Circle -7500403 true true 0 0 300

circle 2
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240

cow
false
0
Polygon -7500403 true true 200 193 197 249 179 249 177 196 166 187 140 189 93 191 78 179 72 211 49 209 48 181 37 149 25 120 25 89 45 72 103 84 179 75 198 76 252 64 272 81 293 103 285 121 255 121 242 118 224 167
Polygon -7500403 true true 73 210 86 251 62 249 48 208
Polygon -7500403 true true 25 114 16 195 9 204 23 213 25 200 39 123

cylinder
false
0
Circle -7500403 true true 0 0 300

dot
false
0
Circle -7500403 true true 90 90 120

face happy
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 255 90 239 62 213 47 191 67 179 90 203 109 218 150 225 192 218 210 203 227 181 251 194 236 217 212 240

face neutral
false
0
Circle -7500403 true true 8 7 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Rectangle -16777216 true false 60 195 240 225

face sad
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 168 90 184 62 210 47 232 67 244 90 220 109 205 150 198 192 205 210 220 227 242 251 229 236 206 212 183

factory
false
0
Rectangle -7500403 true true 76 194 285 270
Rectangle -7500403 true true 36 95 59 231
Rectangle -16777216 true false 90 210 270 240
Line -7500403 true 90 195 90 255
Line -7500403 true 120 195 120 255
Line -7500403 true 150 195 150 240
Line -7500403 true 180 195 180 255
Line -7500403 true 210 210 210 240
Line -7500403 true 240 210 240 240
Line -7500403 true 90 225 270 225
Circle -1 true false 37 73 32
Circle -1 true false 55 38 54
Circle -1 true false 96 21 42
Circle -1 true false 105 40 32
Circle -1 true false 129 19 42
Rectangle -7500403 true true 14 228 78 270

fish
false
0
Polygon -1 true false 44 131 21 87 15 86 0 120 15 150 0 180 13 214 20 212 45 166
Polygon -1 true false 135 195 119 235 95 218 76 210 46 204 60 165
Polygon -1 true false 75 45 83 77 71 103 86 114 166 78 135 60
Polygon -7500403 true true 30 136 151 77 226 81 280 119 292 146 292 160 287 170 270 195 195 210 151 212 30 166
Circle -16777216 true false 215 106 30

flag
false
0
Rectangle -7500403 true true 60 15 75 300
Polygon -7500403 true true 90 150 270 90 90 30
Line -7500403 true 75 135 90 135
Line -7500403 true 75 45 90 45

flower
false
0
Polygon -10899396 true false 135 120 165 165 180 210 180 240 150 300 165 300 195 240 195 195 165 135
Circle -7500403 true true 85 132 38
Circle -7500403 true true 130 147 38
Circle -7500403 true true 192 85 38
Circle -7500403 true true 85 40 38
Circle -7500403 true true 177 40 38
Circle -7500403 true true 177 132 38
Circle -7500403 true true 70 85 38
Circle -7500403 true true 130 25 38
Circle -7500403 true true 96 51 108
Circle -16777216 true false 113 68 74
Polygon -10899396 true false 189 233 219 188 249 173 279 188 234 218
Polygon -10899396 true false 180 255 150 210 105 210 75 240 135 240

house
false
0
Rectangle -7500403 true true 45 120 255 285
Rectangle -16777216 true false 120 210 180 285
Polygon -7500403 true true 15 120 150 15 285 120
Line -16777216 false 30 120 270 120

house colonial
false
0
Rectangle -7500403 true true 270 75 285 255
Rectangle -7500403 true true 45 135 270 255
Rectangle -16777216 true false 124 195 187 256
Rectangle -16777216 true false 60 195 105 240
Rectangle -16777216 true false 60 150 105 180
Rectangle -16777216 true false 210 150 255 180
Line -16777216 false 270 135 270 255
Polygon -7500403 true true 30 135 285 135 240 90 75 90
Line -16777216 false 30 135 285 135
Line -16777216 false 255 105 285 135
Line -7500403 true 154 195 154 255
Rectangle -16777216 true false 210 195 255 240
Rectangle -16777216 true false 135 150 180 180

leaf
false
0
Polygon -7500403 true true 150 210 135 195 120 210 60 210 30 195 60 180 60 165 15 135 30 120 15 105 40 104 45 90 60 90 90 105 105 120 120 120 105 60 120 60 135 30 150 15 165 30 180 60 195 60 180 120 195 120 210 105 240 90 255 90 263 104 285 105 270 120 285 135 240 165 240 180 270 195 240 210 180 210 165 195
Polygon -7500403 true true 135 195 135 240 120 255 105 255 105 285 135 285 165 240 165 195

line
true
0
Line -7500403 true 150 0 150 300

line half
true
0
Line -7500403 true 150 0 150 150

pentagon
false
0
Polygon -7500403 true true 150 15 15 120 60 285 240 285 285 120

person
false
0
Circle -7500403 true true 110 5 80
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 195 90 240 150 225 180 165 105
Polygon -7500403 true true 105 90 60 150 75 180 135 105

person business
false
0
Rectangle -1 true false 120 90 180 180
Polygon -13345367 true false 135 90 150 105 135 180 150 195 165 180 150 105 165 90
Polygon -7500403 true true 120 90 105 90 60 195 90 210 116 154 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 183 153 210 210 240 195 195 90 180 90 150 165
Circle -7500403 true true 110 5 80
Rectangle -7500403 true true 127 76 172 91
Line -16777216 false 172 90 161 94
Line -16777216 false 128 90 139 94
Polygon -13345367 true false 195 225 195 300 270 270 270 195
Rectangle -13791810 true false 180 225 195 300
Polygon -14835848 true false 180 226 195 226 270 196 255 196
Polygon -13345367 true false 209 202 209 216 244 202 243 188
Line -16777216 false 180 90 150 165
Line -16777216 false 120 90 150 165

person construction
false
0
Rectangle -7500403 true true 123 76 176 95
Polygon -1 true false 105 90 60 195 90 210 115 162 184 163 210 210 240 195 195 90
Polygon -13345367 true false 180 195 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285
Circle -7500403 true true 110 5 80
Line -16777216 false 148 143 150 196
Rectangle -16777216 true false 116 186 182 198
Circle -1 true false 152 143 9
Circle -1 true false 152 166 9
Rectangle -16777216 true false 179 164 183 186
Polygon -955883 true false 180 90 195 90 195 165 195 195 150 195 150 120 180 90
Polygon -955883 true false 120 90 105 90 105 165 105 195 150 195 150 120 120 90
Rectangle -16777216 true false 135 114 150 120
Rectangle -16777216 true false 135 144 150 150
Rectangle -16777216 true false 135 174 150 180
Polygon -955883 true false 105 42 111 16 128 2 149 0 178 6 190 18 192 28 220 29 216 34 201 39 167 35
Polygon -6459832 true false 54 253 54 238 219 73 227 78
Polygon -16777216 true false 15 285 15 255 30 225 45 225 75 255 75 270 45 285

person service
false
0
Polygon -7500403 true true 180 195 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285
Polygon -1 true false 120 90 105 90 60 195 90 210 120 150 120 195 180 195 180 150 210 210 240 195 195 90 180 90 165 105 150 165 135 105 120 90
Polygon -1 true false 123 90 149 141 177 90
Rectangle -7500403 true true 123 76 176 92
Circle -7500403 true true 110 5 80
Line -13345367 false 121 90 194 90
Line -16777216 false 148 143 150 196
Rectangle -16777216 true false 116 186 182 198
Circle -1 true false 152 143 9
Circle -1 true false 152 166 9
Rectangle -16777216 true false 179 164 183 186
Polygon -2674135 true false 180 90 195 90 183 160 180 195 150 195 150 135 180 90
Polygon -2674135 true false 120 90 105 90 114 161 120 195 150 195 150 135 120 90
Polygon -2674135 true false 155 91 128 77 128 101
Rectangle -16777216 true false 118 129 141 140
Polygon -2674135 true false 145 91 172 77 172 101

plant
false
0
Rectangle -7500403 true true 135 90 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 180 90 135 45 120 75 180 135 210
Polygon -7500403 true true 165 180 165 210 225 180 255 120 210 135
Polygon -7500403 true true 135 105 90 60 45 45 75 105 135 135
Polygon -7500403 true true 165 105 165 135 225 105 255 45 210 60
Polygon -7500403 true true 135 90 120 45 150 15 180 45 165 90

sheep
false
15
Circle -1 true true 203 65 88
Circle -1 true true 70 65 162
Circle -1 true true 150 105 120
Polygon -7500403 true false 218 120 240 165 255 165 278 120
Circle -7500403 true false 214 72 67
Rectangle -1 true true 164 223 179 298
Polygon -1 true true 45 285 30 285 30 240 15 195 45 210
Circle -1 true true 3 83 150
Rectangle -1 true true 65 221 80 296
Polygon -1 true true 195 285 210 285 210 240 240 210 195 210
Polygon -7500403 true false 276 85 285 105 302 99 294 83
Polygon -7500403 true false 219 85 210 105 193 99 201 83

square
false
0
Rectangle -7500403 true true 30 30 270 270

square 2
false
0
Rectangle -7500403 true true 30 30 270 270
Rectangle -16777216 true false 60 60 240 240

star
false
0
Polygon -7500403 true true 151 1 185 108 298 108 207 175 242 282 151 216 59 282 94 175 3 108 116 108

target
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240
Circle -7500403 true true 60 60 180
Circle -16777216 true false 90 90 120
Circle -7500403 true true 120 120 60

tree
false
0
Circle -7500403 true true 118 3 94
Rectangle -6459832 true false 120 195 180 300
Circle -7500403 true true 65 21 108
Circle -7500403 true true 116 41 127
Circle -7500403 true true 45 90 120
Circle -7500403 true true 104 74 152

triangle
false
0
Polygon -7500403 true true 150 30 15 255 285 255

triangle 2
false
0
Polygon -7500403 true true 150 30 15 255 285 255
Polygon -16777216 true false 151 99 225 223 75 224

truck
false
0
Rectangle -7500403 true true 4 45 195 187
Polygon -7500403 true true 296 193 296 150 259 134 244 104 208 104 207 194
Rectangle -1 true false 195 60 195 105
Polygon -16777216 true false 238 112 252 141 219 141 218 112
Circle -16777216 true false 234 174 42
Rectangle -7500403 true true 181 185 214 194
Circle -16777216 true false 144 174 42
Circle -16777216 true false 24 174 42
Circle -7500403 false true 24 174 42
Circle -7500403 false true 144 174 42
Circle -7500403 false true 234 174 42

turtle
true
0
Polygon -10899396 true false 215 204 240 233 246 254 228 266 215 252 193 210
Polygon -10899396 true false 195 90 225 75 245 75 260 89 269 108 261 124 240 105 225 105 210 105
Polygon -10899396 true false 105 90 75 75 55 75 40 89 31 108 39 124 60 105 75 105 90 105
Polygon -10899396 true false 132 85 134 64 107 51 108 17 150 2 192 18 192 52 169 65 172 87
Polygon -10899396 true false 85 204 60 233 54 254 72 266 85 252 107 210
Polygon -7500403 true true 119 75 179 75 209 101 224 135 220 225 175 261 128 261 81 224 74 135 88 99

wheel
false
0
Circle -7500403 true true 3 3 294
Circle -16777216 true false 30 30 240
Line -7500403 true 150 285 150 15
Line -7500403 true 15 150 285 150
Circle -7500403 true true 120 120 60
Line -7500403 true 216 40 79 269
Line -7500403 true 40 84 269 221
Line -7500403 true 40 216 269 79
Line -7500403 true 84 40 221 269

wolf
false
0
Polygon -16777216 true false 253 133 245 131 245 133
Polygon -7500403 true true 2 194 13 197 30 191 38 193 38 205 20 226 20 257 27 265 38 266 40 260 31 253 31 230 60 206 68 198 75 209 66 228 65 243 82 261 84 268 100 267 103 261 77 239 79 231 100 207 98 196 119 201 143 202 160 195 166 210 172 213 173 238 167 251 160 248 154 265 169 264 178 247 186 240 198 260 200 271 217 271 219 262 207 258 195 230 192 198 210 184 227 164 242 144 259 145 284 151 277 141 293 140 299 134 297 127 273 119 270 105
Polygon -7500403 true true -1 195 14 180 36 166 40 153 53 140 82 131 134 133 159 126 188 115 227 108 236 102 238 98 268 86 269 92 281 87 269 103 269 113

x
false
0
Polygon -7500403 true true 270 75 225 30 30 225 75 270
Polygon -7500403 true true 30 75 75 30 270 225 225 270

@#$#@#$#@
NetLogo 5.2.1
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
default
0.0
-0.2 0 0.0 1.0
0.0 1 1.0 0.0
0.2 0 0.0 1.0
link direction
true
0
Line -7500403 true 150 150 90 180
Line -7500403 true 150 150 210 180

@#$#@#$#@
0
@#$#@#$#@
